Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 457126 - app-emulation/emul-linux-x86-qtlibs-20121202 should install libQtSvg
Summary: app-emulation/emul-linux-x86-qtlibs-20121202 should install libQtSvg
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: AMD64 Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-13 17:15 UTC by Jouni Rinne
Modified: 2013-02-25 18:54 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jouni Rinne 2013-02-13 17:15:18 UTC
emul-linux-x86-qtlibs-20121202 does not include libQtSvg. Any chances to have it added?
Comment 1 Pacho Ramos gentoo-dev 2013-02-13 20:25:04 UTC
Not sure if there are any plans on moving qt stuff to native multilib with mgorny's eclasses :/
Comment 2 Davide Pesavento gentoo-dev 2013-02-13 23:46:18 UTC
No plans, not at the moment at least. And it would probably be quite complex to implement. With all the stuff going on in qt land at the moment, this has very low priority anyway.

BTW what's the difference between multilib-build.eclass and portage-multilib? (we had issues with the latter in the past, mainly due to moc not being able to handle wrapped header files)
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-02-14 07:14:29 UTC
(In reply to comment #2)
> No plans, not at the moment at least. And it would probably be quite complex
> to implement. With all the stuff going on in qt land at the moment, this has
> very low priority anyway.
> 
> BTW what's the difference between multilib-build.eclass and
> portage-multilib? (we had issues with the latter in the past, mainly due to
> moc not being able to handle wrapped header files)

The main difference is that you do the hard work and make it working, we just provide you the basic tools. You decide how it should work, and adjust the ebuilds properly.
Comment 4 Pacho Ramos gentoo-dev 2013-02-25 18:54:14 UTC
Fixed in 20130224